<apex:page standardController="HOG_Vent_Gas_Alert_Task__c" extensions="HOG_VentGasTaskCtrl">
	
	<apex:form >
        <apex:sectionHeader subtitle="New Vent Gas Task" title="Vent Gas Task Edit" rendered="{!editMode}"/>
        <apex:sectionHeader subtitle="{!ventGasTask.Subject__c}" title="Vent Gas Task Edit" rendered="{!!editMode}"/>


    	<apex:outputPanel rendered="{!isMissingParameters}">
    		<apex:pageMessages />
    	</apex:outputPanel>

    	<apex:outputPanel rendered="{!!isMissingParameters}">
			<apex:pageBlock title="Vent Gas Subtask Edit" mode="edit">

	            <apex:pageBlockButtons >
	                <apex:commandButton value="Save" action="{!save}"/>
	                <apex:commandButton value="Cancel" action="{!cancel}" immediate="true"/>
	            </apex:pageBlockButtons>

	            <apex:pagemessages />

				<apex:pageBlockSection title="Information" id="infoSection"> 
					<apex:inputField value="{!ventGasTask.Assignee_Type__c}" rendered="{!!editMode}" required="true">
						<apex:actionSupport event="onchange" 
											action="{!handleAssigneeTypeChange}" 
											reRender="infoSection"/>
					</apex:inputField>

					<apex:outputField value="{!ventGasTask.Assignee_Type__c}" rendered="{!editMode}"/>

					<apex:outputField value="{!ventGasTask.Vent_Gas_Alert__c}"/>
					
					<apex:inputField value="{!ventGasTask.Status__c}" rendered="{!editMode}"/>
					<apex:outputField value="{!ventGasTask.Status__c}" rendered="{!!editMode}"/>
					
					<apex:outputField value="{!ventGasTask.Subject__c}" rendered="{!editMode}"/>
					<apex:outputField value="{!ventGasTask.Vent_Gas_Alert__r.Type__c}" rendered="{!!editMode}"/>
					
				    <apex:pageblocksectionitem >
	                    <apex:outputlabel >{!$ObjectType.HOG_Vent_Gas_Alert_Task__c.fields.Assignee1__c.label}</apex:outputlabel>
	                    <apex:outputpanel layout="block" styleClass="requiredInput">
	                        <apex:outputpanel layout="block" styleClass="requiredBlock"></apex:outputpanel>
	                        <apex:inputField value="{!ventGasTask.Assignee1__c}" />
	                    </apex:outputpanel>
	                </apex:pageblocksectionitem>
					
					
					<apex:outputField value="{!ventGasTask.Priority__c}"/>
					
					<apex:inputField value="{!ventGasTask.Assignee2__c}"/>

					<apex:inputField value="{!ventGasTask.Remind__c}"/>

					<apex:inputTextarea value="{!ventGasTask.Comments__c}" rows="7" style="width:323px"/>
				</apex:pageBlockSection>
			</apex:pageBlock>
		</apex:outputPanel>
	</apex:form>

</apex:page>